# XmlProvider

interface XmlProvider

Provides various ways to access the content of an XML document.

## Functions

asElement
Link copied to clipboard
abstract fun asElement(): Element
Returns the XML document as a DOM org.w3c.dom.Element.
asNode
Link copied to clipboard
abstract fun asNode(): Node
Returns the XML document as a Groovy groovy.util.Node.
asString
Link copied to clipboard
abstract fun asString(): StringBuilder
Returns the XML document as a StringBuilder.